#include<bits/stdc++.h>
#define NULA 0

using namespace std;

void FICA()
{
    int n,m;

    cin>>n>>m;

    int drustvenost[n];
    int x[m];
    int y[m];
    int odnos[m];

    for(int i=0;i<n;++i)
        cin>>drustvenost[i];

    for(int i=0;i<m;++i){
        cin>>x[i]>>y[i];

        if(drustvenost[x[i]-1]>=0 && drustvenost[y[i]-1]>=0)
            odnos[i] = 1;

        else if(drustvenost[x[i]-1]<0 && drustvenost[y[i]-1]<0)
            odnos[i] = -1;

        else
            if(drustvenost[x[i]-1]>=0 && drustvenost[y[i]-1]<0){
            if(abs(drustvenost[x[i]-1])>=abs(drustvenost[y[i]-1]))
                odnos[i] = 1;
            else odnos[i] = -1;
        }
        else if(drustvenost[y[i]-1]>=0 && drustvenost[x[i]-1]<0){
            if(abs(drustvenost[x[i]-1])>=abs(drustvenost[y[i]-1]))
                odnos[i] = -1;
            else odnos[i] = 1;
        }
  }
  int zagrade[n];

  for(int i=0;i<n;++i)
    zagrade[i] = 0;

  for(int i=0;i<n;++i)
  for(int j=0;j<m;++j){
    if(i+1 == x[j] || i+1 == y[j])
        zagrade[i] += odnos[j];
  }

  int suma = 0;
  for(int i=0;i<n;++i){
    suma+=(drustvenost[i]*zagrade[i]);
  }

  cout<<suma;

  /*for(int i=0;i<m;++i)
    cout<<odnos[i]<<" ";*/
}

int main(void)
{
    FICA();
    return 0;
}